// Задача "Произведение"
// 4-ая Интернет-олимпиада сезона 2007-2008, базовый уровень
// Автор задачи: Федор Царев, tsarev@rain.ifmo.ru
// Автор решения: Антон Феськов, argentony@gmail.com 

//Неоптимально написано, не проходит 1 тест

import java.io.*;
import java.util.*;

public class product_af {
	public static int Mod = 366239;
	public static boolean[] u;
	
	public static long dfs(String s) {
		if (s.length() == u.length) return Long.parseLong(s) % Mod;
		long tans = 1;
		for (int i = 0; i < u.length; i++) {
			if (!u[i]) {
				u[i] = true;
				tans = (tans * dfs(s + Num.charAt(i))) % Mod;
				u[i] = false;
			}
		}
		return tans;
	}
	
	public static String Num; 
	
	public static void main(String[] args) throws IOException {
		Scanner in  = new Scanner(new File("product.in"));
		PrintWriter out = new PrintWriter("product.out");
		long n = in.nextLong();
		Num = "" + n;
		u = new boolean[Num.length()];
		out.println(dfs(""));
		out.close();
	}
}
